<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PrayerLog extends Model
{
    use HasFactory;
    
    public function prayerPoint()
    {
        return $this->belongsTo(PrayerPoint::class, 'prayer_points_id');
    }
    
     public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    
    protected $fillable = ['church_id','prayer_points_id','status'];
}
